import { Sources, PluginT, PluginOptions, ExtractorPlugin, MutationPlugin, Plugins, SourceWithOptions, SourceGroupWithOptions } from "../interfaces";
declare function runExtractor(source: SourceWithOptions, plugin: ExtractorPlugin, options?: PluginOptions): SourceWithOptions;
declare function runMutation(source: SourceWithOptions, plugin: MutationPlugin, options?: PluginOptions): SourceWithOptions;
declare function runPlugin(source: SourceWithOptions, pluginT: PluginT, sourceGroupPluginOptions?: PluginOptions): SourceWithOptions;
declare function runPluginForGroup(sources: SourceGroupWithOptions, plugin: PluginT): SourceGroupWithOptions;
declare function runPlugins(sources: Sources, plugins?: Plugins): Sources;
export { runPlugins, runPlugin, runPluginForGroup, runMutation, runExtractor };
